List all jobs
curl --request GET \
--url https://api.together.xyz/v1/fine-tunes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.together.xyz/v1/fine-tunes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.together.xyz/v1/fine-tunes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"training_file": "<string>",
"validation_file": "<string>",
"model": "<string>",
"model_output_name": "<string>",
"model_output_path": "<string>",
"trainingfile_numlines": 123,
"trainingfile_size": 123,
"created_at": "<string>",
"updated_at": "<string>",
"n_epochs": 123,
"n_checkpoints": 123,
"n_evals": 123,
"batch_size": "max",
"learning_rate": 123,
"lr_scheduler": {
"lr_scheduler_type": "linear",
"lr_scheduler_args": {
"min_lr_ratio": 0
}
},
"warmup_ratio": 123,
"max_grad_norm": 123,
"weight_decay": 123,
"eval_steps": 123,
"train_on_inputs": "auto",
"training_method": {
"method": "sft"
},
"training_type": {
"type": "Full"
},
"job_id": "<string>",
"events": [
{
"object": "fine-tune-event",
"created_at": "<string>",
"message": "<string>",
"type": "job_pending",
"param_count": 123,
"token_count": 123,
"total_steps": 123,
"wandb_url": "<string>",
"step": 123,
"checkpoint_path": "<string>",
"model_path": "<string>",
"training_offset": 123,
"hash": "<string>",
"level": null
}
],
"token_count": 123,
"param_count": 123,
"total_price": 123,
"epochs_completed": 123,
"queue_depth": 123,
"wandb_project_name": "<string>",
"wandb_url": "<string>",
"from_checkpoint": "<string>"
}
]
}Fine-tuning
List All Jobs
List the metadata for all fine-tuning jobs.
GET
/
fine-tunes
List all jobs
